#!/bin/bash

export DOTFILES_DIR EXTRA_DIR
DOTFILES_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
EXTRA_DIR="$HOME/.extra"

# Update dotfiles itself first

[ -d "$DOTFILES_DIR/.git" ] && git --work-tree="$DOTFILES_DIR" --git-dir="$DOTFILES_DIR/.git" pull origin master

#vim backup folders
mkdir -p ~/.vim/{backup_files,swap_files,undo_files}
#install vundle
git clone https://github.com/VundleVim/Vundle.vim.git ~/.vim/bundle/Vundle.vim

# Bunch of symlinks
#ln -sfv "$DOTFILES_DIR/run/.bash_profile" ~
ln -sfv "$DOTFILES_DIR/run/.bashrc" ~
ln -sfv "$DOTFILES_DIR/git/.gitconfig" ~
ln -sfv "$DOTFILES_DIR/system/.vimrc" ~
ln -sfv "$DOTFILES_DIR/system/.dir_colors" ~
ln -sfv "$DOTFILES_DIR/vim/bundle" .vim/bundle

# Link .config files
ln -sfv "$DOTFILES_DIR/config/terminator" ~/.config/
ln -sfv "$DOTFILES_DIR/i3" ~/.i3

# Install Vundle Plugins
vim +PluginInstall +qall

# make .config directory for application specifics
cp -r config "$HOME/.config"
if [ ! -d "$HOME/.config" ]; then
    mkdir "$HOME/.config"
fi
